glab(1)

NAME
glab-stack-save - Save your progress within a stacked diff. (EXPERIMENTAL)

SYNOPSIS
glab stack save [flags]

DESCRIPTION
Save your current progress with a diff on the stack.

This feature is an experiment and is not ready for production use. It might be unstable or removed at any time. For more information, see https://docs.gitlab.com/policy/development_stages_support/.

OPTIONS
-a, --all[=false]
    Automatically stage modified and deleted tracked files.

-d, --description=""
    Description of the change.

-m, --message=""
    Alias for the description flag.

OPTIONS INHERITED FROM PARENT COMMANDS
-h, --help[=false]
    Show help for this command.

-R, --repo=""
    Select another repository. Can use either OWNER/REPO or GROUP/NAMESPACE/REPO format. Also accepts full URL or Git URL.

EXAMPLE
    # Save currently staged changes as diff with description
    glab stack save -m "added a function"
    # Add specified file to staged changes and save diff
    glab stack save added_file
    # Add all tracked files to staged changes and save diff
    glab stack save -a -m "added a function to exisiting file"
    # Add all tracked and untracked files to staged changes and save diff
    glab stack save . -m "added new file"

SEE ALSO
glab-stack(1)